spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | List of all members
tlyy::parser::token Struct Reference

Tokens. More...

`#include <spot/parsetl/parsetl.hh>`

Collaboration diagram for tlyy::parser::token:

## Public Types
enum | yytokentype { START_LTL = 258, START_LBT = 259, START_SERE = 260, START_BOOL = 261, PAR_OPEN = 262, PAR_CLOSE = 263, PAR_BLOCK = 264, BRA_BLOCK = 265, BRA_BANG_BLOCK = 266, BRACE_OPEN = 267, BRACE_CLOSE = 268, BRACE_BANG_CLOSE = 269, OP_OR = 270, OP_XOR = 271, OP_AND = 272, OP_SHORT_AND = 273, OP_IMPLIES = 274, OP_EQUIV = 275, OP_U = 276, OP_R = 277, OP_W = 278, OP_M = 279, OP_F = 280, OP_G = 281, OP_X = 282, OP_NOT = 283, OP_STAR = 284, OP_BSTAR = 285, OP_BFSTAR = 286, OP_PLUS = 287, OP_FPLUS = 288, OP_STAR_OPEN = 289, OP_FSTAR_OPEN = 290, OP_EQUAL_OPEN = 291, OP_GOTO_OPEN = 292, OP_SQBKT_CLOSE = 293, OP_SQBKT_NUM = 294, OP_UNBOUNDED = 295, OP_SQBKT_SEP = 296, OP_UCONCAT = 297, OP_ECONCAT = 298, OP_UCONCAT_NONO = 299, OP_ECONCAT_NONO = 300, ATOMIC_PROP = 301, OP_CONCAT = 302, OP_FUSION = 303, CONST_TRUE = 304, CONST_FALSE = 305, END_OF_INPUT = 306, OP_POST_NEG = 307, OP_POST_POS = 308 }

## Detailed Description

Tokens.

The documentation for this struct was generated from the following file:

- spot/parsetl/parsetl.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.